PLAINBOX-DEV-PARSE(1)

NAME
plainbox-dev-parse - parse stdin with the specified parser

SYNOPSIS

        plainbox dev parse [-h] PARSER-NAME

DESCRIPTION

            This command can be used to invoke any of the parsers exposed
            to the `plainbox.parsers` entry point, parse standard input and
            produce a JSON dump of the resulting data structure on stdout.

            Keep in mind that most parsers were designed with the 'C' locale in
            mind. You may have to override the environment variable LANG to
            "C".

Example: LANG=C pactl list | plainbox dev parse pactl-list

OPTIONS

Positional arguments:

    Name of the parser to use

        Possible choices: ?, pxu, pxu-override, regex, whitelist

SEE ALSO

plainbox-dev

AUTHOR
Zygmunt Krynicki & Checkbox Contributors

COPYRIGHT
2012-2014 Canonical Ltd